/* eslint-disable array-bracket-spacing */
/* eslint-disable lines-around-comment */
/* eslint-disable space-unary-ops */
/* eslint-disable no-useless-escape */
/* eslint-disable no-redeclare */
/* eslint-disable no-undef */
/* eslint-disable no-mixed-spaces-and-tabs */
/* eslint-disable vars-on-top */
(function ($) {
	"use strict";
	const observer = lozad(); // lazy loads elements with default selector as '.lozad'
	//const thumbnailPreload = $('.lozad');
	observer.observe();
	$("#ll-color-guide").iziModal({
		width: 1100,
		borderBottom: true,
		zindex: 999,
		focusInput: true,
		arrowKeys: false,
		navigateCaption: true,
		navigateArrows: true, // Boolean, 'closeToModal', 'closeScreenEdge'
		fullscreen: false,
		openFullscreen: false,
		closeOnEscape: true,
		closeButton: true,
		appendTo: "body", // or false
		appendToOverlay: "body", // or false
		overlay: true,
		overlayClose: true,
		overlayColor: "rgba(0, 0, 0, 0.4)",
		timeoutProgressbarColor: "rgba(255,255,255,0.5)",
		transitionIn: "comingIn",
		transitionOut: "comingOut",
		transitionInOverlay: "fadeIn",
		transitionOutOverlay: "fadeOut",
		onFullscreen: function () {},
		onResize: function () {},
		onOpening: function () {},
		onOpened: function () {},
		onClosing: function () {},
		onClosed: function () {},
		afterRender: function () {},
	});
	$(".white-latham-logo").hide();

	// DOCUMENT READY
	$(function () {
		function LathamLiners(element) {
			this.element = element;
			this.scenes = ["001", "002", "003"];
			this.pools = ["197", "199", "200"];
			this.angles = ["001", "002", "003", "004", "006"];
			this.stepsWrapper = this.element.children(".tab-content");
			this.steps = this.element.find(".step-content");
			this.currentCanvasPath = document.getElementById(
				"configurator-image"
			).src;
			this.initSW = document.getElementById("init-sw");
			this.activeCanvas = this.element.find(".configurator-preview");
			this.nightCanvasActive = false;
			this.stepOneSelectionMade = false;
			this.stepTwoSelectionMade = false;
			this.stepThreeSelectionMade = false;

			//different steps
			this.backyardStep = this.element.find(".ll-step-one");
			this.poolStep = this.element.find(".ll-step-two");
			this.linerStep = this.element.find(".ll-step-three");
			this.finishedStep = $("body").find(".ll-finished");
			this.stepNavigation = this.element.find(".step-anchor");

			this.jQueryTarget = $("#step-3");
			this.dropdownElem = document.querySelector(".dropdown-trigger");
			this.fabElem = document.querySelector(".fixed-action-btn");
			this.canviRight = new Canvi({
				content: ".latham-liner-container",
				navbar: ".canvi-navbar",
				pushContent: true,
				//openButton: ".js-canvi-open-button--right",
				isDebug: false,
				position: "right",

				//pushContent: false,
				width: "100%",
				responsiveWidths: [
					{
						breakpoint: "768px",
						width: "200px",
					},
					{
						breakpoint: "1280px",
						width: "220px",
					},
					{
						breakpoint: "1600px",
						width: "250px",
					},
				],
			});
			this.slickSelector = $(".liner-slick-container");
			this.slickOptions = {
				slidesToShow: 9,
				slidesToScroll: 1,
				arrows: true,
				//draggable: false,
				autoplay: true,
				responsive: [
					{
						breakpoint: 1024,
						settings: {
							slidesToShow: 8,
							slidesToScroll: 3,
						},
					},
					{
						breakpoint: 600,
						settings: {
							slidesToShow: 6,
							slidesToScroll: 2,
						},
					},
					{
						breakpoint: 480,
						settings: {
							slidesToShow: 3,
							slidesToScroll: 1,
						},
					},
				],
			};

			//used to check if the builder content has been loaded properly
			this.filteredCarousel = false;
			this.initSlick();
			this.bindEvents();
			this.bindSmartWizardEventFirst();
			this.loadStepWizard();
			this.bindSmartWizardEventsAfter();
			this.dealerCategories = {
				us: [
					"000_Bali-BlueGranite.jpg",
					"001_Barolo-Prism.jpg",
					"002_Cancun-BlueGranite.jpg",
					"003_Capri-FrescoII.jpg",
					"004_CrystalLake-Cobalt.jpg",
					"005_CourtstoneBlue_NaturalBlue.jpg",
					"006_Courstone-NaturalGray.jpg",
					"007_Coventry-Prism.jpg",
					"008_Dolphin-Seabrook.jpg",
					"009_GulfCoast-TanSeastone.jpg",
					"010_Hampton-Seaglass.jpg",
					"011_IndigoMarble-BlueGranite.jpg",
					"012_Legends-DeepBlueFusion.jpg",
					"013_MarbleInlay-Crystal.jpg",
					"014_Moonstruck-Creekstone.jpg",
					"015_MountainTop-BlueMosaic.jpg",
					"016_Nantucket-BlueSeastone.jpg",
					"017_OceanBarolo-NaturalBlue.jpg",
					"018_Oxford-ExlectricAquarius.jpg",
					"019_PacificTide-Prism.jpg",
					"020_Panama-RoyalPrism.jpg",
					"021_Seaside-Glacier.jpg",
					"022_Stonebraid-RoyalPrism.jpg",
					"023_Summerwave-DeepBlueFusion.jpg",
					"024_TanSierra-GoldPebble.jpg",
					"025_VintageMosaic-BlueMosaic.jpg",
				],
				ca: [
					"000_Bali-BlueGranite.jpg",
					"001_Barolo-Prism.jpg",
					"003_Capri-FrescoII.jpg",
					"004_CrystalLake-Cobalt.jpg",
					"005_CourtstoneBlue_NaturalBlue.jpg",
					"006_Courstone-NaturalGray.jpg",
					"007_Coventry-Prism.jpg",
					"009_GulfCoast-TanSeastone.jpg",
					"010_Hampton-Seaglass.jpg",
					"011_IndigoMarble-BlueGranite.jpg",
					"012_Legends-DeepBlueFusion.jpg",
					"013_MarbleInlay-Crystal.jpg",
					"015_MountainTop-BlueMosaic.jpg",
					"016_Nantucket-BlueSeastone.jpg",
					"017_OceanBarolo-NaturalBlue.jpg",
					"018_Oxford-ExlectricAquarius.jpg",
					"019_PacificTide-Prism.jpg",
					"020_Panama-RoyalPrism.jpg",
					"022_Stonebraid-RoyalPrism.jpg",
					"023_Summerwave-DeepBlueFusion.jpg",
					"024_TanSierra-GoldPebble.jpg",
					"025_VintageMosaic-BlueMosaic.jpg",
					"026_Renegade-BlueMosaic.jpg",
					"027_Terrazo-Coral.jpg",
					"028_Terrazo-ElectricAquarius.jpg",
					"036_-ButterflyEffectPearl.jpg",
				],
				us_full_floor: [
					"036_-ButterflyEffectPearl.jpg",
					"037_-DiscoPearl.jpg",
					"038_-Onyx.jpg",
					"039_-PixelBluePearl.jpg",
					"040_-Reef.jpg",
					"041_-PennyMosaic.jpg",
				],
				ca_full_floor: [
					"037_-DiscoPearl.jpg",
					"038_-Onyx.jpg",
					"039_-PixelBluePearl.jpg",
					"040_-Reef.jpg",
					"041_-PennyMosaic.jpg",
					"042_-UrbanMarble.jpg",
				],
				npt: [
					"029_Aquarius-TahoeBlue.jpg",
					"030_AztecCobalt-AquaBlue.jpg",
					"031_Equinox-Iolite.jpg",
					"032_Escapes-MarinaBlue.jpg",
					"033_Ridgeline-TahoeGrey.jpg",
					"034_Verona-Iolite.jpg",
					"035_Verona-MarinaBlue.jpg",
				],
			};
		}
		LathamLiners.prototype.linerTitleConvert = function (src) {
			var url = src.substring(src.lastIndexOf("/") + 5);
			var name = url.slice(0, -4);

			var str2 = name.replace(/([A-Z])/g, " $1").trim();
			var nameArr = str2.split("-");
			if (nameArr.length > 0) {
				$("span.current-selection.step-3").html(
					nameArr[0] + " / " + nameArr[1]
				);
			} else {
				$("span.current-selection.step-3").html(nameArr[0]);
			}
		};
		LathamLiners.prototype.nightOn = function () {
			var self = this;
			$(".ll-cfg-img").each(function () {
				var thisArg = $(this);
				var imgSrc = thisArg[0].src;
				var filename = imgSrc.substring(imgSrc.lastIndexOf("/") + 1);
				var validate = self.validateAttribute(imgSrc, "Cam");
				var nonzero = validate.replace(/^0+/, "");
				if (nonzero != 2) {
					var nightModeFilename =
						"https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/" +
						filename.substring(0, filename.lastIndexOf("_")) +
						"n" +
						filename.substring(filename.lastIndexOf(".") - 4);
					thisArg
						.fadeTo(50, 0.5, function () {
							thisArg.attr("src", nightModeFilename);
						})
						.fadeTo(100, 1)
						.css("display", "");
				}
				//return false;
				//thisArg.attr({src:nightModeFilename});
			});
		};
		LathamLiners.prototype.nightOff = function () {
			var self = this;
			$(".ll-cfg-img").each(function () {
				var thisArg = $(this);
				var imgSrc = thisArg[0].src;
				var filename = imgSrc.substring(imgSrc.lastIndexOf("/") + 1);
				var validate = self.validateAttribute(imgSrc, "Cam");
				var nonzero = validate.replace(/^0+/, "");

				if (nonzero != 2) {
					var nightModeFilename =
						"https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/" +
						filename.substring(0, filename.lastIndexOf("n")) +
						"_" +
						filename.substring(filename.lastIndexOf(".") - 3);
					thisArg
						.fadeTo(100, 0.5, function () {
							thisArg.attr("src", nightModeFilename);
						})
						.fadeTo(200, 1)
						.css("display", "");
				}
				//return false;
				//thisArg.attr({src:nightModeFilename});
			});
		};
		LathamLiners.prototype.bindEvents = function () {
			var self = this;
			$("select.filter-options").on("change", function () {
				self.slickSelector.slick("slickUnfilter");
				var filterClass = self.getFilterValue(this.value);

				if (this.value !== "All") {
					self.slickSelector.slick("slickFilter", filterClass);
				}
			});

			$(".fullscreen-icon-toggle").click(function () {
				$(".gsg-ll").toggleClass("fullscreenActivated");
			});

			$(".cb-value").click(function () {
				var mainParent = $(this).parent(".lltoggle-btn");

				if ($(mainParent).find("input.cb-value").is(":checked")) {
					$(mainParent).addClass("active");
					self.nightCanvasActive = true;
					self.nightOn();
				} else {
					$(mainParent).removeClass("active");
					self.nightCanvasActive = false;
					self.nightOff();
				}
			});

			//detect clicks on backyard style selector
			this.backyardStep.on("click", ".yard-selector", function () {
				//event.preventDefault();
				var arg = $(this);
				var stepOneSelection = $("span.current-selection.step-1");

				//var self = this;
				self.updateCanvas(arg, "Scene", "yard-id");
				self.updateStepIndicator(
					arg.data("yard-name"),
					stepOneSelection,
					$(".indicator-step-1")
				);
				self.activeSelectionClass();
			});

			//detect clicks on pool selector
			this.poolStep.on("click", ".pool-selector", function (event) {
				event.preventDefault();
				var arg = $(this);
				var stepTwoSelection = $("span.current-selection.step-2");
				self.updateCanvas(arg, "Pool", "pool-id");
				self.updateStepIndicator(
					arg.data("pool-name"),
					stepTwoSelection,
					$(".indicator-step-2")
				);
				self.activeSelectionClass();
				$(".you-selected").show().css("display", "block");
			});

			//detect clicks on liner selector
			this.linerStep.on("click", ".liner-selector", function (event) {
				event.preventDefault();
				var arg = $(this);
				var test = $(this).attr("src");
				self.linerTitleConvert(test);

				var stepThreeSelection = $("span.current-selection.step-3");

				self.updateCanvas(arg, "Liner", "liner-id");

				$("img.slick-slide").removeClass("ll-active");
				$(this).addClass("ll-active");

				$(".you-selected").show().css("display", "block");
				$(".dynamic-liner-title").show().css("display", "block");

				event.stopPropagation();
			});

			$(".md-trigger").click(function () {
				var $el = $(".md-modal");
				var icon = $(this).parents().find("i.fullscreen");

				$el.toggleClass("md-show", 1000);
				icon.toggleClass("icon-resize-full icon-resize-small");
			});

			$(".finish-button").click(function () {
				self.finishStepsFunction();
			});

			$(window).on("load", function () {
				$(this).scrollTop(0);
			});

			$(".tab-overhang-container").click(function () {
				self.canviRight.toggle();
			});
		};
		LathamLiners.prototype.bindSmartWizardEventFirst = function () {
			var self = this;
			$("#init-sw").on("beginReset", function (e) {
				$(".step-anchor").removeClass("steps-menu-activated");
			});
			$("#init-sw").on("showStep", function (
				e,
				anchorObject,
				stepNumber,
				stepDirection,
				stepPosition
			) {
				console.log("step number: " + stepNumber);
				console.log("step direction: " + stepDirection);
				console.log("step position: " + stepPosition);

				if (0 < stepNumber) {
					$(".step-anchor").addClass("steps-menu-activated");
					$(".white-latham-logo").show();
				}
				if (0 === stepNumber) {
					if ($("body").hasClass("ll-finished")) {
						$("body").removeClass("ll-finished");
					}
					if (!$("body").hasClass("ll-intro")) {
						$("body").addClass("ll-intro");
					}
				}
				if ("final" === stepPosition) {
					self.activeSelectionClass();
					$(".show-ui-element").css("opacity", "1");
				}
				if ("final" !== stepPosition) {
					$(".show-ui-element").css("opacity", "0");
					if ($("body").hasClass("ll-finished")) {
						$("body").removeClass("ll-finished");
					}
					if ($("#step-3").hasClass("step-3-completed")) {
						$("#step-3").removeClass("step-3-completed");
					}
				}

				////

				if ($("body").hasClass("ll-intro") && stepNumber !== 0) {
					$("body").removeClass("ll-intro");
				}

				if ($("body").hasClass("ll-step1") && stepNumber !== 1) {
					$("body").removeClass("ll-step1");
				}

				if ($("body").hasClass("ll-step2") && stepNumber !== 2) {
					$("body").removeClass("ll-step2");
				}

				if ($("body").hasClass("ll-step3") && stepNumber !== 3) {
					$("body").removeClass("ll-step3");
				}

				if ($("body").hasClass("ll-step4") && stepNumber !== 4) {
					$("body").removeClass("ll-step4");
				}

				/////

				if (0 === stepNumber) {
					if (!$("body").hasClass("ll-intro")) {
						$("body").addClass("ll-intro");
					}
				} else if (1 === stepNumber) {
					if (!$("body").hasClass("ll-step1")) {
						$("body").addClass("ll-step1");
					}
				} else if (2 === stepNumber) {
					if (!$("body").hasClass("ll-step2")) {
						$("body").addClass("ll-step2");
					}
				} else if (3 === stepNumber) {
					if (!$("body").hasClass("ll-step3")) {
						$("body").addClass("ll-step3");
					}
					$(window).trigger("resize");
					self.overrideAttributes("", "200", "002");
					self.linerSelectionOpen();
				} else if (4 === stepNumber) {
					if (!$("body").hasClass("ll-finished")) {
						$("body").addClass("ll-finished");
					}
				}
			});
		};
		LathamLiners.prototype.bindSmartWizardEventsAfter = function () {
			var self = this;

			this.smartWizard.on("leaveStep", function (e, anchorObject, stepNumber) {
				if (3 === stepNumber) {
					self.overrideAttributes("", "", "004");
					self.linerSelectionClose(self.linerSelectionOpen);
					self.angleThumbnailImages();
				}

				if (4 === stepNumber) {
					self.canviRight.close();
				}
				console.log("leaving step number: " + stepNumber);
			});

			$(".step-anchor #reset-btn").on("click", function () {
				// Reset wizard
				$(".step-anchor li:last-child").hide();
				self.smartWizard.smartWizard("reset");
			});

			$("#init-sw").on("beginReset", function () {
				self.canviRight.close();
			});
		};
		LathamLiners.prototype.linerSelectionOpen = function () {
			var self = this;
			var fullPathStored = document.getElementById("configurator-image").src;
			return fullPathStored;
		};

		LathamLiners.prototype.linerSelectionClose = function () {
			var self = this;
		};

		LathamLiners.prototype.updateCanvas = function (
			thisArg,
			attributeScope,
			dataAttr
		) {
			var self = this;
			var fullPath = document.getElementById("configurator-image").src;
			var filename = fullPath.replace(/^.*[\\\/]/, "");
			var optionScope = attributeScope;
			var optionLength = optionScope.length;
			var optionPosition = filename.indexOf(optionScope);
			var replacementIndex = optionPosition + optionLength;

			if ("this" == thisArg) {
				thisArg == $(this);
			}

			var theID = thisArg.data(dataAttr);
			var theIDLength = theID.toString().length;

			if ("Liner" === attributeScope) {
				var index = filename.lastIndexOf("_");
				var newAttribute = filename.substring(0, index) + "_" + theID + ".jpg";
			} else if ("LinerNight" === attributeScope) {
				var index = filename.lastIndexOf("_");
				var newAttribute = filename.substring(0, index) + "_" + theID + ".jpg";
			} else {
				var newAttribute = self.replaceAt(
					filename,
					replacementIndex,
					theID,
					theIDLength
				);
			}
			this.activeCanvas.attr(
				"src",
				`https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/${newAttribute}`
			);
			return false;
		};

		LathamLiners.prototype.updateCanvasManual = function (
			thisArg,
			attributeScope,
			dataAttr
		) {
			var self = this;
			var fullPath = document.getElementById("configurator-image").src;
			var filename = fullPath.replace(/^.*[\\\/]/, "");
			var optionScope = attributeScope;
			var optionLength = optionScope.length;
			var optionPosition = filename.indexOf(optionScope);
			var replacementIndex = optionPosition + optionLength;
			var theID = dataAttr;
			if (self.nightCanvasActive == true) {
				var theIDLength = theID.toString().length - 1;
			} else {
				var theIDLength = theID.toString().length;
			}
			var newAttribute = self.replaceAt(
				filename,
				replacementIndex,
				theID,
				theIDLength
			);

			this.activeCanvas.attr(
				"src",
				`https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/${newAttribute}`
			);
			return false;
		};

		LathamLiners.prototype.updateCanvasManualNight = function (
			attributeScope,
			dataAttr
		) {
			var self = this;
			var fullPath = document.getElementById("configurator-image").src;
			var filename = fullPath.replace(/^.*[\\\/]/, "");
			var optionScope = attributeScope;
			var optionLength = optionScope.length;
			var optionPosition = filename.indexOf(optionScope);
			var replacementIndex = optionPosition + optionLength;
			var theID = dataAttr;
			var theIDLength = theID.toString().length - 1;

			var newAttribute = self.replaceAt(
				filename,
				replacementIndex,
				theID,
				theIDLength
			);
			return false;
		};

		LathamLiners.prototype.replaceAt = function (
			string,
			index,
			replace,
			replaceLength
		) {
			return (
				string.substring(0, index) +
				replace +
				string.substring(index + replaceLength)
			);
		};

		LathamLiners.prototype.updateStepIndicator = function (
			selection,
			container,
			indicatorContainer
		) {
			indicatorContainer.show();
			container.text(selection);
		};

		LathamLiners.prototype.validateAttribute = function (src, attributeScope) {
			var filename = src.replace(/^.*[\\\/]/, "");
			var optionScope = attributeScope;
			var optionPosition = filename.indexOf(optionScope) + 3;
			var res = filename.substr(optionPosition, 3);
			return res;
		};

		LathamLiners.prototype.getImageAttribute = function (attributeScope) {
			var fullPath = document.getElementById("configurator-image").src;
			var filename = fullPath.replace(/^.*[\\\/]/, "");
			var optionScope = attributeScope;
			var optionPosition = filename.indexOf(optionScope) + 3;
			var res = filename.substr(optionPosition, 3);

			return res;
		};

		//////// BEGIN HERE

		LathamLiners.prototype.thumbnailImageInstance = function (angleIndex) {
			var self = this;
			var fullPath = document.getElementById("configurator-image").src;
			var filename = fullPath.replace(/^.*[\\\/]/, "");
			var optionScope = "Cam";
			var optionLength = optionScope.length;
			var optionPosition = filename.indexOf(optionScope);
			var replacementIndex = optionPosition + optionLength;
			var camID = angleIndex;
			var camIDLength = camID.toString().length;
			//var camself.validateAttribute(fullPath, "Cam");

			if (self.nightCanvasActive == true) {
				var newCam = self.replaceAt(
					filename,
					replacementIndex,
					camID + "n",
					camIDLength
				);
			} else {
				var newCam = self.replaceAt(
					filename,
					replacementIndex,
					camID,
					camIDLength
				);
			}

			return `<li><a href="#!${angleIndex}" class="angle-selector" data-cam-id="${angleIndex}" id="cam-${angleIndex}"><img src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/${newCam}" data-src="https://storage.googleapis.com/latham-liner-configurator.appspot.com/liner-configurator/liners/2020/${newCam}" class="lozad ll-cfg-img"></a></li>`;
		};

		LathamLiners.prototype.initiateThumbnails = function (thumbnailArray) {
			var self = this;
			var angleSelectThumbnails = $("#angle-select-thumbnails");
			var newAngles = thumbnailArray;

			newAngles.forEach(function (angle) {
				angleSelectThumbnails.append(self.thumbnailImageInstance(angle));
			});
		};

		LathamLiners.prototype.angleThumbnailImages = function () {
			var self = this;
			var newAngles = this.angles;
			var currentAngle = self.getImageAttribute("Cam");
			console.log("Current Angle:" + currentAngle);

			console.log("Thumbnails before grep:" + newAngles);

			newAngles = jQuery.grep(newAngles, function (value) {
				return value != currentAngle;
			});
			console.log("Thumbnails after grep:" + newAngles);

			var thumbnailArray = newAngles;

			self.initiateThumbnails(thumbnailArray);

			//this.finishedStep.on("click", ".angle-selector", function (event) {
			$(".angle-selector").click(function (e) {
				event.preventDefault();
				var arg = $(this);

				self.updateCanvas(arg, "Cam", "cam-id");
			});
		};

		// Fire off these functions when the user clicks 'Finish'
		LathamLiners.prototype.finishStepsFunction = function () {
			var self = this;

			//$('.step-anchor').css();
			this.canviRight.open();

			var finishedMenu = $(".step-anchor li:last-child");
			finishedMenu.addClass("active");
			$(".ll-step-three").addClass("step-3-completed");
			$(".ui-config-icon").addClass("show-ui-element");
			$(".night-switch").addClass("show-ui-element");
			$(".latham-liner-container").addClass("sidebar-closed");
			$(".latham-column").addClass("show-mobile-ui");
		};

		LathamLiners.prototype.overrideAttributes = function (scene, pool, cam) {
			var self = this;
			var thisArg = $(this);

			if ("" != scene) {
				self.updateCanvasManual(thisArg, "Scene", scene);
			}

			if ("" != pool) {
				self.updateCanvasManual(thisArg, "Pool", pool);
			}

			if ("" != cam) {
				self.updateCanvasManual(thisArg, "Cam", cam);
			}
		};
		LathamLiners.prototype.loadStepWizard = function () {
			this.smartWizard = $("#init-sw").smartWizard({
				selected: 0, // Initial selected step, 0 = first step
				keyNavigation: false, // Enable/Disable keyboard navigation(left and right keys are used if enabled)
				autoAdjustHeight: false, // Automatically adjust content height
				cycleSteps: true, // Allows to cycle the navigation of steps
				backButtonSupport: true, // Enable the back button support
				useURLhash: true, // Enable selection of the step basedf on url hash
				showStepURLhash: true,
				lang: {
					// Language variables
					next: "Next",
					previous: "Previous",
				},
				anchorSettings: {
					anchorClickable: true, // Enable/Disable anchor navigation
					enableAllAnchors: true, // Activates all anchors clickable all times
					markAllPreviousStepsAsDone: false,
					markDoneStep: true, // add done css
					removeDoneStepOnNavigateBack: true,
					enableAnchorOnDoneStep: true, // Enable/Disable the done steps navigation
				},

				//contentURL: null, // content url, Enables Ajax content loading. can set as data data-content-url on anchor
				transitionEffect: "fade", // Effect on navigation, none/slide/fade
				transitionSpeed: "200",
			});
		};

		LathamLiners.prototype.activeSelectionClass = function () {
			$(this).removeClass("ll-active");
			$(this).addClass("ll-active");
		};

		LathamLiners.prototype.getFilterValue = function (value) {
			return $(".slick-track").find("img[data-groups='" + value + "']");
		};
		LathamLiners.prototype.initSlick = function () {
			var self = this;
			self.slickSelector.slick(this.slickOptions);
		};

		LathamLiners.prototype._removeActiveClassFromChildren = function (parent) {
			const { children } = parent;
			for (let i = children.length - 1; 0 <= i; i--) {
				children[i].classList.remove("active");
			}
		};

		if (0 < $(".gsg-ll").length) {
			$(".gsg-ll").each(function () {
				var lathamLinersPlugin = new LathamLiners($(this));

				var self = this;
				var target = document.querySelector("#step-3");
				var bodyTarget = document.querySelector("body");
				var observer = new MutationObserver(function () {
					if (target.classList.contains("step-3-completed")) {
						lathamLinersPlugin.linerSelectionClose(self.linerSelectionOpen);
						lathamLinersPlugin.overrideAttributes("", "", "004");
						$(".nav-item.hidden").show();
						$(".nav-item.hidden").toggleClass("hidden done");
					}
				});
				var observer2 = new MutationObserver(function () {
					if (bodyTarget.classList.contains("ll-step3")) {
						$(window).trigger("resize");
					}
				});
				observer.observe(target, {
					attributes: true,
				});
				observer2.observe(bodyTarget, {
					attributes: true,
				});
				Canvi instanceof lathamLinersPlugin.canviRight.close();
			});
		}
		$(".step-anchor").detach().appendTo(".gsg-ll");

		$(document).on("click", function (e) {
			if (false === $(e.target).is(".yard-selector")) {
				$(".yard-selector").removeClass("ll-active");
			}
		});

		$("img.slick-slide").eq(0).addClass(".ll-active");
		$(".cardATags").eq(0).focus();

		$(document).keydown(function (e) {
			var li_count = $("img.slick-slide").length;
			var curent_active = 0;

			var each_counter = 0;
			$("img.slick-slide").each(function () {
				if ($(this).hasClass("ll-active")) {
					curent_active = each_counter;
				}
				each_counter++;
			});

			if (e.keyCode == 37) {
				// left
				curent_active -= 1;
			} else if (e.keyCode == 39) {
				// right
				curent_active += 1;
			}
			if (e.keyCode == 38) {
				// top
				curent_active -= 1;
			}
			if (e.keyCode == 40) {
				// bott
				curent_active += 1;
			}

			if (curent_active == li_count) {
				curent_active = 0;
			}

			$("img.slick-slide").removeClass("ll-active");
			$("img.slick-slide").eq(curent_active).addClass("ll-active");

			$("img.slick-slide").eq(curent_active).trigger("click");
		});
	}); // end of document ready
})(jQuery);
